package gay.eviee.imguiquilt;

import gay.eviee.imguiquilt.interfaces.Renderable;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.MinecraftClient;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.quiltmc.loader.api.ModContainer;
import org.quiltmc.qsl.base.api.entrypoint.client.ClientModInitializer;
import java.util.ArrayList;

@Environment(EnvType.CLIENT)
public class ImGuiQuilt implements ClientModInitializer {
	public static final String MODID = "imgui-mc";
	public static final Logger LOGGER = LogManager.getLogger(MODID);
	public static final MinecraftClient MINECRAFT = MinecraftClient.getInstance();
	public static ArrayList<Renderable> renderstack = new ArrayList<>();

	@Override
	public void onInitializeClient(ModContainer mod) {

	}

	/**
	 * Add a Renderable to the render stack
	 * @param renderable Object to add to the stack
	 * @return
	 */
	public static Renderable pushRenderable(Renderable renderable) {
		renderstack.add(renderable);
		return renderable;
	}

	public static Renderable pullRenderable(Renderable renderable) {
		renderstack.remove(renderable);
		return renderable;
	}
}
