package gay.eviee.imguiquilt.mixin;

import com.mojang.blaze3d.glfw.Window;
import com.mojang.blaze3d.glfw.WindowEventHandler;
import com.mojang.blaze3d.glfw.WindowSettings;
import com.mojang.blaze3d.glfw.monitor.MonitorTracker;
import gay.eviee.imguiquilt.imgui.ImguiLoader;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(Window.class)
public class GLFWInitMixin {
	@Shadow
	@Final private long handle;

	@Inject(at = @At("TAIL"), method = "<init>", remap = false)
	private void onGLFWInit(WindowEventHandler windowEventHandler, MonitorTracker monitorTracker, WindowSettings windowSettings, String string, String string2, CallbackInfo ci){
		ImguiLoader.onGlfwInit(handle);
	}
}
