package gay.eviee.imguiquilt.mixin;

import com.mojang.blaze3d.systems.RenderSystem;
import gay.eviee.imguiquilt.ImGuiQuilt;
import gay.eviee.imguiquilt.imgui.ImguiLoader;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(value = RenderSystem.class, remap = false)
public class TailRenderMixin {
	@Inject(at = @At("HEAD"), method="flipFrame")
	private static void runTickTail(CallbackInfo ci) {
		ImGuiQuilt.MINECRAFT.getProfiler().push("ImGui Render");
		ImguiLoader.onFrameRender();
		ImGuiQuilt.MINECRAFT.getProfiler().pop();
	}
}
